Page MenuHomePhabricator

Entity pages should link to machine readable version using <link rel="alternate"> tags in the html head
Closed, ResolvedPublic1 Story Points

Description

<link rel="alternate"> tags can be picked up by 3rd party tools to discover the machine readable version of the page.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterAdd rel=alternate links to the html head for entities

Event Timeline

daniel created this task.Apr 16 2015, 8:55 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added a project: Wikidata.
daniel added a subscriber: daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 16 2015, 8:55 PM
Tobi_WMDE_SW set Security to None.
Tobi_WMDE_SW added a subscriber: Bene.
aude triaged this task as Medium priority.Apr 21 2015, 2:05 PM
hoo added a subscriber: hoo.Apr 23 2015, 8:00 AM
hoo claimed this task.Apr 24 2015, 10:37 AM
hoo moved this task from Backlog to Doing on the Wikidata-Sprint-2015-04-21 board.
hoo added a comment.May 6 2015, 2:16 AM

To give you an update on this: I did some refactoring for this already (a8d51d709bfdcab7809332de4fea786b3cc87ee5) and poked at potential performance issues (https://gerrit.wikimedia.org/r/206734). I guess the performance is not going to be a problem (see my last comment on that change), so continuing on this is fine (and I will hopefully manage to do that this week).

Things to do: Store the output formats in the parser output, add them to the html (via OutputPage).

Change 209531 had a related patch set uploaded (by JanZerebecki):
Track language of label usage on the client.

https://gerrit.wikimedia.org/r/209531

Tobi_WMDE_SW edited a custom field.May 25 2015, 11:04 AM

Change 219001 had a related patch set uploaded (by Hoo man):
Add rel=alternate links to the html head for entities

https://gerrit.wikimedia.org/r/219001

hoo added a project: SEO.Jun 23 2015, 1:40 AM

added to the current sprint, since marius has been working on it

daniel closed this task as Resolved.Jun 24 2015, 2:19 PM

Change 219001 merged by jenkins-bot:
Add rel=alternate links to the html head for entities

https://gerrit.wikimedia.org/r/219001

Deskana moved this task from Tag to Done on the SEO board.Jul 6 2018, 10:28 AM